# Uses of Interface
org.jfree.chart3d.renderer.ColorScale

Packages that use ColorScale
Package
Description
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.renderer
Base package for renderer support.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of ColorScale in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend that return ColorScale
Modifier and Type
Method
Description
`ColorScale`
ColorScaleElement.`getColorScale()`
Returns the color scale.
Constructors in org.jfree.chart3d.legend with parameters of type ColorScale
Modifier
Constructor
Description
``
`ColorScaleElement(ColorScale scale, Orientation orientation, double barWidth, double barLength, Font font, Color textColor)`
Creates a new `ColorScaleElement` with the specified attributes.

## Uses of ColorScale in org.jfree.chart3d.renderer

Classes in org.jfree.chart3d.renderer that implement ColorScale
Modifier and Type
Class
Description
`class`
`FixedColorScale`
A `ColorScale` that returns the same color for every value on the scale.
`class`
`GradientColorScale`
A color scale that runs a linear gradient between two colors.
`class`
`RainbowScale`
A color scale that returns all the colors of the rainbow.
Methods in org.jfree.chart3d.renderer that return ColorScale
Modifier and Type
Method
Description
`ColorScale`
ColorScaleRenderer.`getColorScale()`
Returns the color scale used by the renderer.

## Uses of ColorScale in org.jfree.chart3d.renderer.xyz

Methods in org.jfree.chart3d.renderer.xyz that return ColorScale
Modifier and Type
Method
Description
`ColorScale`
SurfaceRenderer.`getColorScale()`
Returns the color scale.
Methods in org.jfree.chart3d.renderer.xyz with parameters of type ColorScale
Modifier and Type
Method
Description
`void`
SurfaceRenderer.`setColorScale(ColorScale colorScale)`
Sets the color scale and sends a `Renderer3DChangeEvent` to all registered listeners.